Bug 71129 - perl fails to set INSTALLSITEARCHLIB in MakeMaker-generated files
Summary: perl fails to set INSTALLSITEARCHLIB in MakeMaker-generated files
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-09 02:55 UTC by Cristian Gafton
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-28 06:58:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cristian Gafton 2002-08-09 02:55:02 UTC
Description of Problem:


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Cristian Gafton 2002-08-09 02:57:19 UTC
Dammit, galeon sucks.

Generating a Makefile from with MakeMaker produces the following list of actions
while handling the perlocal.pod files:

/usr/bin/perl -e '$\="\n\n";' -e 'print "=head2 ", scalar(localtime), ": C<",
shift, ">", " L<", $arg=shift, "|", $arg, ">";' -e 'print "=over 4";' -e 'while
(defined($key = shift) and defined($val = shift)){print "=item *";print "C<$key:
$val>";}' -e 'print "=back";' \
"Module" "Swab" \
	"installed into" "/usr/lib/perl5/site_perl/5.6.1" \
	LINKTYPE "dynamic" \
	VERSION "1.9.5" \
	EXE_FILES "" \
	>> /perllocal.pod
           ^^^^^^^^^^^^^^^

this is from the doc_site_install target

Comment 2 Warren Togami 2005-05-28 06:58:31 UTC
MakeMaker in newer perl behaves a lot better.   There isn't much we can do
safely with ancient perl in RHEL2.1 where this is still broken along with
several other MakeMaker problems.


Note You need to log in before you can comment on or make changes to this bug.